ALLOCA(3)

NAME
alloca - memory allocator

SYNOPSIS
#include <stdlib.h>
void *
alloca(size_t size);

DESCRIPTION
The alloca() function allocates size bytes of space in the stack frame of the caller. This temporary space is automatically freed on return.

RETURN VALUES
The alloca() function returns a pointer to the beginning of the allocated space. If the allocation failed, a NULL pointer is returned.

SEE ALSO
brk(2), calloc(3), getpagesize(3), malloc(3), realloc(3)

BUGS
The alloca() function is machine dependent; its use is discouraged.